### Function

# Babl format_new

#### Declaration [src]

    const Babl*
    babl_format_new (
      void* first_arg,
      ...
    )

#### Description [src]

Defines a new pixel format in babl. Provided BablType and|or BablSampling is valid for the following components as well. If no name is provided a (long) descriptive name is used.

    babl_format_new     (["name", const char *name,]
                         BablModel          *model,
                         [BablType           *type,]
                         [BablSampling,      *sampling,]
                         BablComponent      *component1,
                         [[BablType           *type,]
                          [BablSampling       *sampling,]
                          BablComponent      *componentN,
                          ...]
                         ["planar",]
                         NULL);.

This function is not directly available to language bindings.

#### Parameters

`first_arg`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`...`

  Type: ``

  No description available.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.